Skip to main content
POST
/
datasets
/
v3
/
scrape
Discover by Search URL
curl --request POST \
  --url https://api.brightdata.com/datasets/v3/scrape \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": [
    {
      "search_url": "<string>",
      "country": "<string>"
    }
  ]
}
'
[
  {
    "account_id": "987654321",
    "nickname": "Cooking Daily",
    "biography": "Easy recipes for busy people",
    "bio_link": "https://example.com/recipes",
    "is_verified": false,
    "followers": 2500000,
    "following": 150,
    "likes": 45000000,
    "videos_count": 320,
    "create_time": "2020-03-15T00:00:00.000Z",
    "url": "https://www.tiktok.com/@cookingdaily",
    "profile_pic_url": "https://p16-sign-sg.tiktokcdn.com/example-avatar~100x100.jpeg",
    "profile_pic_url_hd": "https://p16-sign-sg.tiktokcdn.com/example-avatar~720x720.jpeg",
    "awg_engagement_rate": 0.0521,
    "is_private": false,
    "region": "US"
  }
]

Query Parameters

dataset_id
string
default:"gd_l1villgoiiidt09ci"
required
The dataset ID used for this request.
Must be set to gd_l1villgoiiidt09ci to collect Discover by Search URL data.
type
string
default:"discover_new"
Must be set to discover_new.
discover_by
string
default:"search_url"
Must be set to search_url.
notify
boolean
default:false
Whether to send notifications when the request is completed.
include_errors
boolean
default:true
Whether to include errors in the response.

Request Body

input
object[]
required
An array of input objects.

Example

{
  "input": [
    {
      "search_url": "https://www.tiktok.com/search/user?q=cooking",
      "country": "us"
    }
  ]
}
[
  {
    "account_id": "987654321",
    "nickname": "Cooking Daily",
    "biography": "Easy recipes for busy people",
    "bio_link": "https://example.com/recipes",
    "is_verified": false,
    "followers": 2500000,
    "following": 150,
    "likes": 45000000,
    "videos_count": 320,
    "create_time": "2020-03-15T00:00:00.000Z",
    "url": "https://www.tiktok.com/@cookingdaily",
    "profile_pic_url": "https://p16-sign-sg.tiktokcdn.com/example-avatar~100x100.jpeg",
    "profile_pic_url_hd": "https://p16-sign-sg.tiktokcdn.com/example-avatar~720x720.jpeg",
    "awg_engagement_rate": 0.0521,
    "is_private": false,
    "region": "US"
  }
]